# Main V2
# Argument:void
# Return Type:void

# Main function of calculator program,
# It reads input data from file, computes sum, difference, product & division
# Finally prints and writes the result to file

# Version Log
# 2		:	Included multiplication and division calculations

cat("\n Loading Main.R Version :: 2")
Main <- function()	{

	cat("\n ***My R Calculator Program***\n\n\n")
	
	# Reading input from files
	inputData <- ReadInputData("Input.csv")

	# Computing the Sum
	sumResult <- GetSum(inputData[, 1], inputData[, 2])
	# Computing the difference
	differenceResult <- GetDifference(inputData[, 1], inputData[, 2])
	# Computing the product
	productResult <- GetProduct(inputData[, 1], inputData[, 2])
	# Computing division
	divisionResult <- GetDivision(inputData[, 1], inputData[, 2])
	
	# Binding the result as single data frame
	result <- cbind(inputData, sumResult, differenceResult, productResult, divisionResult)
	# Setting the column name
	colnames(result) <- c('A', 'B', 'Sum', 'Diff', 'Prod', 'Div')
	# Printing and writing the rusults to file
	print(result)
	WriteOutputData(result)
}
